apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt
spec:
  acme:
    email: emelin.d@sarex.io
    privateKeySecretRef:
      name: letsencrypt
    server: https://acme-v02.api.letsencrypt.org/directory
    solvers:
      - selector:
          dnsNames:
            - zitadel.test.sarex.brusnika.tech
            - grafana.test.sarex.brusnika.tech
            - openobserve.test.sarex.brusnika.tech
            - vmalert.test.sarex.brusnika.tech
        http01:
          ingress:
            class: istio
      - http01:
          ingress:
            class: nginx
